"""
URL configuration for project project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.contrib import admin
from django.urls import path, include
from rest_framework.documentation import include_docs_urls
from django.conf import settings
from django.conf.urls.static import static
from .views import frontend

urlpatterns = [
    # FRONTEND
    path('', frontend, name='home'),

    # BACKEND
    path('admin/', admin.site.urls),
    path('api/', include('api.urls')),    
    path('api-public/', include('public.urls')),
    path('docs/', include_docs_urls(title = 'API Documentation')),
]#+ static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += static('assets/', document_root=f'{settings.BASE_DIR}/dist/assets')
urlpatterns += static('avatars/', document_root=f'{settings.BASE_DIR}/dist/avatars')
